{% extends 'base.html' %}
{% load bootstrap5 %}

{% block body %}
     <!--================ Hero Section =================-->
        <div class="bradcam_area bradcam_bg_1">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="bradcam_text">
                            <h3>categorieas</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <!--================ Hero Section =================-->

   < <!--================Blog Area =================-->
    <section class="blog_area section-padding">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 mb-5 mb-lg-0">
                    <div class="blog_left_sidebar">
                        {% for category in categories %}
                            <article class="blog_item mt-5">
                                <div class="blog_item_img">
                                    <img class="card-img rounded-0" src="img/blog/single_blog_1.png" alt="">
                                    <a href="{% url 'blog:category-detail' category.slug %}" class="blog_item_date">
                                        <h3>{{ category.created_on |date:"d" }}</h3>
                                        <p>{{ category.created_on |date:"M" }}</p>
                                    </a>
                                </div>

                                <div class="blog_details">
                                    <a class="d-inline-block" href="{% url 'blog:category-detail' category.slug %}">
                                        <h2>{{ category.name }}</h2>
                                    </a>
                                    <p>{{ category.description | truncatewords:30 }}</p>
                                    <ul class="blog-info-link">
                                        <li><a href="#"><i class="fa fa-user"></i> Abd Al Rhman</a></li>
                                        <li><a href="#"><i class="fa fa-comments"></i> 03 Comments</a></li>
                                    </ul>
                                </div>
                            </article>
                        {% endfor %}



                        <!-------------- PAGINATOR ----------------->
                        {% if categories.has_other_pages %}
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="pagination_wrap">
                                        <ul>
                                            <!-- Check if it has previous pages to display previous arrow -->
                                            {% if categories.has_previous %}
                                                <li><a href="?page={{ articles.previous_page_number }}"> <i class="ti-angle-left"></i> </a></li>
                                            {% endif %}

                                            <!-- Check the pages I have  -->
                                            {% for i in categories.paginator.page_range %}
                                                 <li><a href="?page={{ i }}"><span>{{ i }}</span></a></li>
                                            {%  endfor %}


                                            <!-- Check if it has next pages to display next arrow -->
                                            {% if categories.has_next %}
                                                <li><a href="?page={{ categories.next_page_number }}"> <i class="ti-angle-right"></i> </a></li>
                                            {% endif %}
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                        <!-------------- PAGINATOR ----------------->


                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="blog_right_sidebar">
                        <aside class="single_sidebar_widget search_widget">
                            <form method="GET" class="w-100">
                                <div class="form-group">
{#                                    {% bootstrap_form myFilter.form  %}#}
                                    <button  class="boxed-btn3 w-100 mt-4" type="submit">Search</button>
                                </div>
                            </form>
                        </aside>

                        <aside class="single_sidebar_widget post_category_widget">
                            <h4 class="widget_title">Category</h4>
                            <ul class="list cat-list">
                                {% for category in categories %}
                                    <li>
                                        <a href="#" class="d-flex">
                                            <p>{{ category.name }} (37)</p>
                                        </a>
                                    </li>
                                {% endfor %}


                            </ul>
                        </aside>

                        <aside class="single_sidebar_widget popular_post_widget">
                            <h3 class="widget_title">Recent Post</h3>


                            {% for article in articles %}
                                <div class="media post_item">
                                    <img src="img/post/post_1.png" alt="post">
                                    <div class="media-body">
                                        <a href="{% url 'blog:article-detail' categories.slug %}">
                                            <h3>{{ categories.title }}</h3>
                                        </a>
                                        <p>{{ categories.created_on|date:"d, M, Y" }}</p>
                                    </div>
                                </div>
                            {% endfor %}
                        </aside>

                        <aside class="single_sidebar_widget newsletter_widget">
                            <h4 class="widget_title">Newsletter</h4>

                            <form action="#">
                                <div class="form-group">
                                    <input type="email" class="form-control" onfocus="this.placeholder = ''"
                                        onblur="this.placeholder = 'Enter email'" placeholder='Enter email' required>
                                </div>
                                <button class="button rounded-0 primary-bg text-white w-100 btn_1 boxed-btn"
                                    type="submit">Subscribe</button>
                            </form>
                        </aside>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--================Blog Area =================-->

{% endblock body %}

